CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | Class Methods | Protected Attributes | List of all members
CGTKCallbackData Class Reference

`#import <CGTKCallbackData.h>`

Inheritance diagram for CGTKCallbackData:
[legend]
Collaboration diagram for CGTKCallbackData:
[legend]

## Instance Methods
(id) | - initWithObject:andSEL:
(id) | - object
(SEL) | - sel
(void) | - setObject:
(void) | - setSel:

## Class Methods
(id) | + withObject:andSEL:

## Protected Attributes
id | _object
SEL | _sel

## Detailed Description

Holds object and selector info for gobject signal callbacks

Definition at line 37 of file CGTKCallbackData.h.

## Method Documentation

## ◆ initWithObject:andSEL:()

- (id) initWithObject: |  | (id) | obj
andSEL: |  | (SEL) | sel

Creates and returns a new instance of CGTKCallbackData holding the object and the selector.

Parameters

  obj | The object to hold
  sel | The selector to hold

Returns
  a new CGTKCallbackData

Definition at line 35 of file CGTKCallbackData.m.

## ◆ object()

- (id) object |  |  |

Gets the held object

Definition at line 60 of file CGTKCallbackData.m.

## ◆ sel()

- (SEL) sel |  |  |

Gets the held selector

Definition at line 65 of file CGTKCallbackData.m.

## ◆ setObject:()

- (void) setObject: |  | (id) | object |

Sets the held object

Parameters

  object | The object to set

Definition at line 70 of file CGTKCallbackData.m.

## ◆ setSel:()

- (void) setSel: |  | (SEL) | sel |

Sets the held selector

Parameters

  sel | The selector to set

Definition at line 80 of file CGTKCallbackData.m.

## ◆ withObject:andSEL:()

+ (id) withObject: |  | (id) | obj
andSEL: |  | (SEL) | sel

Creates and returns a new instance of CGTKCallbackData holding the object and the selector.

Note this returned instance is autoreleased.

Parameters

  obj | The object to hold
  sel | The selector to hold

Returns
  a new CGTKCallbackData

Definition at line 49 of file CGTKCallbackData.m.

The documentation for this class was generated from the following files:

- CGTKCallbackData.h
- CGTKCallbackData.m